Skip to:
Content
Pages
Categories
Search
Top
Bottom

bbpress installation errors


  • Sreekanth Reddy
    Participant

    @pulisreekanth

    I tried to install bbpress for several times . Its installing correctly but no links were displayed to create a new forum or settings.

    One time it shown an error ” you have no sufficient permissions”

    Please let me know where i did wrong.

    Latest WordPress
    Latest bbPress

    Thank you

    Sreekanth

Viewing 7 replies - 1 through 7 (of 7 total)

  • dichter4fun
    Participant

    @dichter4fun

    Same here. Fresh install of WP 3.8.1 an bbpress 2.5.3. Cannot create a new forum always getting the error invalid post type. I’ve checked the user roles and created a second user with administrative rights but nothing helped.

    Any ideas what went wrong?

    Thank you, Stefan!


    aweebr-bbpress
    Participant

    @aweebr-bbpress

    Same here.

    Any Ideas?


    John James Jacoby
    Keymaster

    @johnjamesjacoby

    The most likely culprit is another plugin causing a conflict. If you’re an admin already, activating bbPress, it forces your forum role to Keymaster so you’re able to administrate the forums completely.


    aweebr-bbpress
    Participant

    @aweebr-bbpress

    Hey John, yes you were right.

    I have the WPML Multilingual CMS plugin, and it was causing the issue.

    Thanks for helping.

    Regards,
    Sergio


    John James Jacoby
    Keymaster

    @johnjamesjacoby

    There are a few plugins that jumpstart WordPress’s roles and capabilities, which can cause permissions issues with bbPress (and any other plugin that relies on roles and capabilities.) These plugins are __doing_it_wrong() in the conventional sense, and there’s not much bbPress can do about that other than throw debug notices when WP_DEBUG is turned on.


    Sreekanth Reddy
    Participant

    @pulisreekanth

    Hi

    I changed my role to keymaster also , but no use . and i deactivated all plugins even though no use.

    There must be something other


    dichter4fun
    Participant

    @dichter4fun

    Hi,

    i have only one additional plugin “qTranslate” activated. But also without this plugin i get the two error mentioned above – “invalid post type” and “you have no sufficient permissions”.

Viewing 7 replies - 1 through 7 (of 7 total)

You must be logged in to reply to this topic.